Package org.eclipse.jdt.ui.actions

## Class JavaSearchActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.JavaSearchActionGroup

    public class JavaSearchActionGroup
    extends ActionGroup

Action group that adds the Java search actions to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`JavaSearchActionGroup​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)` Note: This constructor is for internal use only.
`JavaSearchActionGroup​(IViewPart part)` Creates a new `JavaSearchActionGroup`.
`JavaSearchActionGroup​(IWorkbenchSite site, ISelectionProvider specialSelectionProvider)` Creates a new `JavaSearchActionGroup`.
`JavaSearchActionGroup​(Page page)` Creates a new `JavaSearchActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars​(IActionBars actionBar)`
`void` `fillContextMenu​(IMenuManager menu)`
`void` `setContext​(ActionContext context)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaSearchActionGroup

    public JavaSearchActionGroup​(IViewPart part)

Creates a new `JavaSearchActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### JavaSearchActionGroup

    public JavaSearchActionGroup​(Page page)

Creates a new `JavaSearchActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

#### JavaSearchActionGroup

    public JavaSearchActionGroup​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.

#### JavaSearchActionGroup

    public JavaSearchActionGroup​(IWorkbenchSite site,
                                 ISelectionProvider specialSelectionProvider)

Creates a new `JavaSearchActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

### Method Detail

#### setContext

    public void setContext​(ActionContext context)

Overrides:
  `setContext` in class `ActionGroup`

#### fillActionBars

    public void fillActionBars​(IActionBars actionBar)

Overrides:
  `fillActionBars` in class `ActionGroup`

#### fillContextMenu

    public void fillContextMenu​(IMenuManager menu)

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ActionGroup`